---
# Setup Ansible User
# TODO: Refactor this to pull password from KeepassXC
- name: Add ansible user
  ansible.builtin.user: 
    name: "ansible" 
    update_password: on_create
    password: $6$1okdpsNNvbkqX5Nt$cFHItArBDbWYCMGU5cqUQIJKhCQnYC78DuPdJXZuu2aFtROr2/Im7xYYIXslPGq5LaOOyJ2V9lnNyJ3cZzRcN/
    shell: "/bin/bash"
  become: true

- name: Give ansible user sudo rights
  community.general.sudoers:
    name: ansible
    commands: ALL
    nopassword: true
    user: ansible
  become: true
